<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;

class CreateCallsTable extends Migration
{
    /*
     * Run the migrations.
     *
     * @return void
     */

    public function up()
    {

        /*
         * Table: calls
         */
        Schema::create('calls', function ($table) {
            $table->increments('id');
            $table->string('name', 50)->nullable();
            $table->string('slug', 200)->nullable();
            $table->integer('parent_id')->nullable();
            $table->integer('customer_id')->nullable();
            $table->date('assigned_date')->nullable();
            $table->date('reminder')->nullable();
            $table->string('assigned_to', 50)->nullable();
            $table->string('direction', 30)->nullable();
            $table->string('hot_call', 30)->nullable();
            $table->date('called_on')->nullable();
            $table->string('duration', 30)->nullable();
            $table->string('status', 30)->nullable();
            $table->string('substatus', 30)->nullable();
            $table->string('notes', 100)->nullable();
            $table->integer('user_id')->nullable();
            $table->string('user_type', 50)->nullable();
            $table->softDeletes();
            $table->nullableTimestamps();
        });
    }

    /*
    * Reverse the migrations.
    *
    * @return void
    */

    public function down()
    {
        Schema::drop('calls');
    }
}
