<?php

// API routes  for call
Route::prefix('{guard}/call')->group(function () {
    Route::get('call/form/{element}', 'CallAPIController@form');
    Route::resource('call', 'CallAPIController');
});

// Public routes for call
Route::get('calls/', 'CallPublicController@index');
Route::get('calls/{slug?}', 'CallPublicController@show');

if (Trans::isMultilingual()) {
    Route::group(
        [
            'prefix' => '{trans}',
            'where'  => ['trans' => Trans::keys('|')],
        ],
        function () {
            // Guard routes for calls
            Route::prefix('{guard}/call')->group(function () {
                Route::get('call/form/{element}', 'CallAPIController@form');
                Route::apiResource('call', 'CallAPIController');
            });
            // Public routes for calls
            Route::get('call/Call', 'CallPublicController@getCall');
        }
    );
}

