<?php

// web routes  for call
Route::prefix('{guard}/call')->group(function () {
    Route::resource('call', 'CallResourceController');
});

// Public routes for call
Route::get('calls/', 'CallPublicController@index');
Route::get('calls/{slug?}', 'CallPublicController@show');

if (Trans::isMultilingual()) {
    Route::group(
        [
            'prefix' => '{trans}',
            'where'  => ['trans' => Trans::keys('|')],
        ],
        function () {
            // Guard routes for pages
            Route::prefix('{guard}/page')->group(function () {
                Route::apiResource('page', 'CallResourceController');
            });
            // Public routes for pages
            Route::get('calls/', 'CallPublicController@index');
            Route::get('calls/{slug?}', 'CallPublicController@show');
        }
    );
}

